| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference

Structure defining an auto constant that's available for use in a parameters object. More...

`#include <OgreGpuProgramParams.h>`

## Public Member Functions
| AutoConstantDefinition (AutoConstantType _acType, const String &_name, size_t _elementCount, ElementType _elementType, ACDataType _dataType)

## Public Attributes
AutoConstantType | acType
ACDataType | dataType
| The type of any extra data. More...
size_t | elementCount
ElementType | elementType
| The type of the constant in the program. More...
String | name

## Detailed Description

Structure defining an auto constant that's available for use in a parameters object.

## Constructor & Destructor Documentation

## ◆ AutoConstantDefinition()

Ogre::GpuProgramParameters::AutoConstantDefinition::AutoConstantDefinition | ( | AutoConstantType | _acType,
|  | const String & | _name,
|  | size_t | _elementCount,
|  | ElementType | _elementType,
|  | ACDataType | _dataType
| ) |  |
| inline

## Member Data Documentation

## ◆ acType

AutoConstantType Ogre::GpuProgramParameters::AutoConstantDefinition::acType

## ◆ name

String Ogre::GpuProgramParameters::AutoConstantDefinition::name

## ◆ elementCount

size_t Ogre::GpuProgramParameters::AutoConstantDefinition::elementCount

## ◆ elementType

ElementType Ogre::GpuProgramParameters::AutoConstantDefinition::elementType

The type of the constant in the program.

## ◆ dataType

ACDataType Ogre::GpuProgramParameters::AutoConstantDefinition::dataType

The type of any extra data.

The documentation for this struct was generated from the following file:

- OgreGpuProgramParams.h